Page MenuHomePhabricator

Media Viewer: Make Media Viewer work on Special:UnusedFiles if enabled
Closed, ResolvedPublic

Description

If I have Media Viewer enabled on Commons and I visit Special:UnusedFiles and click on an image I would expect Media Viewer to load instead of the file page. If not all special pages, it would be nice if Media Viewer defaulted on special pages that deal with files as well.


Version: unspecified
Severity: enhancement

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:44 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz71372.
bzimport added a subscriber: Unknown Object (MLST).
Keegan created this task.Sep 26 2014, 10:18 PM

Link fix: [[:commons:Special:UnusedFiles]]

Gilles triaged this task as Low priority.Nov 24 2014, 1:56 PM
Gilles added a subscriber: Gilles.

Change 181441 had a related patch set uploaded (by Namit):
MultimediaViewer usable on Special file related pages when enabled

https://gerrit.wikimedia.org/r/181441

Patch-For-Review

Change 181441 merged by jenkins-bot:
MultimediaViewer usable on Special file related pages when enabled

https://gerrit.wikimedia.org/r/181441

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:08 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:08 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Jdlrobson closed this task as Resolved.Sep 24 2015, 12:39 AM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

Patch is merged. Reopen if I'm missing something.

Tgr updated the task description. (Show Details)Sep 24 2015, 4:39 AM
Tgr set Security to None.